> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/portfolio-address-attribute.md).

# Portfolio Address Attribute

## Viewing all portfolio address attributes for a portfolio address

> To view all attributes for a specific portfolio address:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Portfolio address attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/portfolioAddress/{portfolioAddressId}/attribute":{"get":{"summary":"Viewing all portfolio address attributes for a portfolio address","operationId":"get-api-v2-portfolio-portfolioid-portfolioaddress-portfolioaddressid-attribute","tags":["Portfolio address attribute"],"description":"To view all attributes for a specific portfolio address:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"portfolioAddressId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response"}}}}}}
```

## Creating a new portfolio address attribute

> To create a new portfolio address attribute:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Portfolio address attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/portfolioAddress/{portfolioAddressId}/attribute":{"post":{"summary":"Creating a new portfolio address attribute","operationId":"post-api-v2-portfolio-portfolioid-portfolioaddress-portfolioaddressid-attribute","tags":["Portfolio address attribute"],"description":"To create a new portfolio address attribute:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"portfolioAddressId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"attribute":{"type":"string"},"value":{"type":"string"}},"required":["attribute"]}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## Viewing a specific portfolio address attribute

> To view details for a specific portfolio address attribute:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Portfolio address attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/portfolioAddress/{portfolioAddressId}/attribute/{portfolioAddressAttributeId}":{"get":{"summary":"Viewing a specific portfolio address attribute","operationId":"get-api-v2-portfolio-portfolioid-portfolioaddress-portfolioaddressid-attribute-portfolioaddressattributeid","tags":["Portfolio address attribute"],"description":"To view details for a specific portfolio address attribute:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"portfolioAddressId","in":"path","required":true,"schema":{"type":"string"}},{"name":"portfolioAddressAttributeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response"}}}}}}
```

## Deleting a specific portfolio address attribute

> To delete a specific portfolio address attribute:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Portfolio address attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/portfolioAddress/{portfolioAddressId}/attribute/{portfolioAddressAttributeId}":{"delete":{"summary":"Deleting a specific portfolio address attribute","operationId":"delete-api-v2-portfolio-portfolioid-portfolioaddress-portfolioaddressid-attribute-portfolioaddressattributeid","tags":["Portfolio address attribute"],"description":"To delete a specific portfolio address attribute:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"portfolioAddressId","in":"path","required":true,"schema":{"type":"string"}},{"name":"portfolioAddressAttributeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"PORTFOLIO_ADDRESS_ATTRIBUTE":{"type":"integer"}}}}}}}}}}}
```

## Updating a specific portfolio address attribute

> To update a specific portfolio address attribute:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Portfolio address attribute"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/portfolio/{portfolioId}/portfolioAddress/{portfolioAddressId}/attribute/{portfolioAddressAttributeId}":{"patch":{"summary":"Updating a specific portfolio address attribute","operationId":"patch-api-v2-portfolio-portfolioid-portfolioaddress-portfolioaddressid-attribute-portfolioaddressattributeid","tags":["Portfolio address attribute"],"description":"To update a specific portfolio address attribute:","parameters":[{"name":"portfolioId","in":"path","required":true,"schema":{"type":"string"}},{"name":"portfolioAddressId","in":"path","required":true,"schema":{"type":"string"}},{"name":"portfolioAddressAttributeId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"value":{"type":"string"}},"required":["value"]}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/portfolio-address-attribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
